package org.amdatu.mongo.itest;

import org.amdatu.bndtools.test.BaseOSGiServiceTest;
import org.amdatu.mongo.MongoDBService;

import com.mongodb.DB;

public class DefaultMongoDbServiceTest extends BaseOSGiServiceTest<MongoDBService> {
	private String mongopid;
	
	public DefaultMongoDbServiceTest() {
		super(MongoDBService.class);
	}
	
	@Override
	public void setUp() throws Exception {
		mongopid = configureFactory("org.amdatu.mongo", properties());
		super.setUp();
	}
	
	public void tearDown() throws Exception{
		removeConfig(mongopid);
		super.tearDown();
	}
	
	public void testDefaultMongoDbService() {
		DB db = instance.getDB();
		assertNotNull(db);
		assertEquals("test", db.getName());
	}
	
}
