package org.amdatu.mongo.impl;

import java.util.Properties;

import org.apache.felix.dm.DependencyActivatorBase;
import org.apache.felix.dm.DependencyManager;
import org.osgi.framework.BundleContext;
import org.osgi.framework.Constants;
import org.osgi.service.cm.ManagedServiceFactory;
import org.osgi.service.log.LogService;

public class Activator extends DependencyActivatorBase{

    @Override
    public void init(BundleContext context, DependencyManager manager) throws Exception {
        Properties properties = new Properties();
        properties.put(Constants.SERVICE_PID, "org.amdatu.mongo");
        manager.add(createComponent().setInterface(ManagedServiceFactory.class.getName(), properties).setImplementation(MongoDBServiceFactory.class)
            .add(createServiceDependency().setService(LogService.class).setRequired(false)));
    }

    @Override
    public void destroy(BundleContext context, DependencyManager manager) throws Exception {
    }

}
